PDA

View Full Version : OpenGL Shading Language 4.5 "Unsupported"



Corjabo
08-17-2016, 07:38 PM
OS: Windows 7 SP1
CPU: i7 - 4790
RAM: 16GB
GPU: Gigabyte GeForce GTX 1070 G1 Gaming 8GB (originally MSI GeForce GTX 760 3GB)
HD: 1TB
PSU: 500W

Since the release of "No Man's Sky" I've been dying to play it. The first time it downloaded and I pressed play through Steam, I got an error message saying

"error Unable to initiate OpenGL window"

I rechecked the Minimum System Requirements for the game, and found it requires OpenGL 4.5. I then downloaded OpenGL Extensions Viewer to verify what version of OpenGL I have, and it stated that my system supports everything for 4.5 except the Shading Language 4.5. I updated all my drivers, reinstalled Microsoft Redistributable Packages (2010 and 2013) and still OpenGL Extensions Viewer was saying the same thing.

Thinking it was just my card (at the time, the GTX 760), I decided to order a new card (the GTX 1070). The GTX 1070 finally came in the mail today, I installed it, downloaded and updated the drivers for it, and was excited to finally play the game. When I pressed play through Steam, I got the same Error message again. Checked OpenGL Extensions Viewer and it still states that my system supports everything for 4.5 except the Shading Language 4.5.

What is wrong with my system that's not supporting the OpenGL Shading Language 4.5? and how can I fix it?

MZIskandar
08-17-2016, 08:26 PM
Hi. You can check your detailed OpenGL capabilities using GPU caps viewer (http://www.ozone3d.net/gpu_caps_viewer/). Update your driver if necessary.